
# Srvant

**Namespace**  : Zuffik\Srvant

# Overview

- [Types](./Types/__NAMESPACE__.md)
    - [StringActions](./Types/StringActions/__NAMESPACE__.md)
        - [Partitioning](./Types/StringActions/Partitioning/__NAMESPACE__.md)
            - [FromLast](Types/StringActions/Partitioning/__NAMESPACE__.md#FromLast)
            - [UntilFirst](Types/StringActions/Partitioning/__NAMESPACE__.md#UntilFirst)
            - [UntilLast](Types/StringActions/Partitioning/__NAMESPACE__.md#UntilLast)
            - [StringPartition](Types/StringActions/Partitioning/__NAMESPACE__.md#StringPartition)
            - [FromFirst](Types/StringActions/Partitioning/__NAMESPACE__.md#FromFirst)
            - [AllBetween](Types/StringActions/Partitioning/__NAMESPACE__.md#AllBetween)
            - [PartitionAction](Types/StringActions/Partitioning/__NAMESPACE__.md#PartitionAction)
        - [Action](Types/StringActions/__NAMESPACE__.md#Action)
    - [Number](Types/__NAMESPACE__.md#Number)
    - [Double](Types/__NAMESPACE__.md#Double)
    - [Str](Types/__NAMESPACE__.md#Str)
    - [Boolean](Types/__NAMESPACE__.md#Boolean)
    - [Enum](Types/__NAMESPACE__.md#Enum)
    - [Integer](Types/__NAMESPACE__.md#Integer)
- [System](./System/__NAMESPACE__.md)
    - [Files](./System/Files/__NAMESPACE__.md)
        - [FileInfo](System/Files/__NAMESPACE__.md#FileInfo)
        - [Directory](System/Files/__NAMESPACE__.md#Directory)
        - [Stream](System/Files/__NAMESPACE__.md#Stream)
        - [File](System/Files/__NAMESPACE__.md#File)
    - [Path](System/__NAMESPACE__.md#Path)
- [Structures](./Structures/__NAMESPACE__.md)
    - [Maps](./Structures/Maps/__NAMESPACE__.md)
        - [HashMap](Structures/Maps/__NAMESPACE__.md#HashMap)
        - [KeyValue](Structures/Maps/__NAMESPACE__.md#KeyValue)
        - [Map](Structures/Maps/__NAMESPACE__.md#Map)
    - [Lists](./Structures/Lists/__NAMESPACE__.md)
        - [LinkedList](Structures/Lists/__NAMESPACE__.md#LinkedList)
        - [ArrayList](Structures/Lists/__NAMESPACE__.md#ArrayList)
        - [DataItem](Structures/Lists/__NAMESPACE__.md#DataItem)
    - [AbstractStructure](Structures/__NAMESPACE__.md#AbstractStructure)
    - [AssociativeStructure](Structures/__NAMESPACE__.md#AssociativeStructure)
    - [OrderedStructure](Structures/__NAMESPACE__.md#OrderedStructure)
    - [IArray](Structures/__NAMESPACE__.md#IArray)
    - [Structure](Structures/__NAMESPACE__.md#Structure)
- [Formats](./Formats/__NAMESPACE__.md)
    - [ExceptionFormatter](Formats/__NAMESPACE__.md#ExceptionFormatter)
    - [Regex](Formats/__NAMESPACE__.md#Regex)
    - [URL](Formats/__NAMESPACE__.md#URL)
    - [CSV](Formats/__NAMESPACE__.md#CSV)
    - [JSON](Formats/__NAMESPACE__.md#JSON)
- [Helpers](./Helpers/__NAMESPACE__.md)
    - [Finder](Helpers/__NAMESPACE__.md#Finder)
    - [RecursiveGetter](Helpers/__NAMESPACE__.md#RecursiveGetter)
- [Convertors](./Convertors/__NAMESPACE__.md)
    - [FromScalar](Convertors/__NAMESPACE__.md#FromScalar)
    - [ArrayStructureConverter](Convertors/__NAMESPACE__.md#ArrayStructureConverter)
- [Generators](./Generators/__NAMESPACE__.md)
    - [Random](./Generators/Random/__NAMESPACE__.md)
        - [Distributions](./Generators/Random/Distributions/__NAMESPACE__.md)
            - [Distribution](Generators/Random/Distributions/__NAMESPACE__.md#Distribution)
            - [CombinedDistribution](Generators/Random/Distributions/__NAMESPACE__.md#CombinedDistribution)
            - [NormalDistribution](Generators/Random/Distributions/__NAMESPACE__.md#NormalDistribution)
            - [TriangularDistribution](Generators/Random/Distributions/__NAMESPACE__.md#TriangularDistribution)
            - [ExponentialDistribution](Generators/Random/Distributions/__NAMESPACE__.md#ExponentialDistribution)
            - [UniformDistribution](Generators/Random/Distributions/__NAMESPACE__.md#UniformDistribution)
        - [Random](Generators/Random/__NAMESPACE__.md#Random)


---
